from apm import *
import numpy as np
import matplotlib.pyplot as plt

y = apm_solve('co',4);

plt.figure(1)
plt.plot(y['time'],y['yco_twa'],'r:')
plt.plot(y['time'],y['yco'],'b:')
plt.plot([0., 480.0],[35., 35.],'g--')
plt.plot([0., 480.0],[200., 200.],'r-')
plt.legend(['CO TWA (PPM)','CO (PPM)','OSHA 8 Hr TWA','OSHA Max'])
plt.xlabel('Time (min)')
plt.ylabel('Concentration (ppm)')
plt.axis([0., 480., 0., 205.])
plt.show()
